Set context for Bland call
curl --request POST \
--url https://protegee.ai/voice/api/v1/bland/set-context \
--header 'Content-Type: application/json' \
--data '
{
"caller": "+1234567890",
"description": "iPhone 15 Pro Max",
"price": "999.99",
"vendor": "Apple Store",
"customer_id": "<string>",
"persona": "english-jessica",
"callback": "<string>",
"email": "<string>",
"full_name": "<string>",
"memory": "<string>",
"transaction_type": "once"
}
'import requests
url = "https://protegee.ai/voice/api/v1/bland/set-context"
payload = {
"caller": "+1234567890",
"description": "iPhone 15 Pro Max",
"price": "999.99",
"vendor": "Apple Store",
"customer_id": "<string>",
"persona": "english-jessica",
"callback": "<string>",
"email": "<string>",
"full_name": "<string>",
"memory": "<string>",
"transaction_type": "once"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
caller: '+1234567890',
description: 'iPhone 15 Pro Max',
price: '999.99',
vendor: 'Apple Store',
customer_id: '<string>',
persona: 'english-jessica',
callback: '<string>',
email: '<string>',
full_name: '<string>',
memory: '<string>',
transaction_type: 'once'
})
};
fetch('https://protegee.ai/voice/api/v1/bland/set-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": {
"caller": "<string>"
}
}{
"status": "error",
"message": "<string>"
}Endpoint Examples
Bland - Set Context
Sets up the context for a Bland call using customer information and payment details
POST
/
voice
/
api
/
v1
/
bland
/
set-context
Set context for Bland call
Query Parameters
API token for authentication
Body
application/json
Customer's phone number
Example:
"+1234567890"
Example:
"iPhone 15 Pro Max"
Example:
"999.99"
Example:
"Apple Store"
Available options:
once, subscription, authorize ⌘I
